Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class SwingWorker

    java.lang.Object
      com.bbn.openmap.util.SwingWorker

public abstract class SwingWorker
extends java.lang.Object

This is the 3rd version of SwingWorker (also known as SwingWorker 3), an abstract class that you subclass to perform GUI-related work in a dedicated thread. For instructions on using this class, see: http://java.sun.com/docs/books/tutorial/uiswing/misc/threads.html Note that the API changed slightly in the 3rd version: You must now invoke start() on the SwingWorker after creating it.

Constructor Summary
`SwingWorker()` Start a thread that will call the `construct` method and then exit.

Method Summary
`abstract java.lang.Object` | `construct()` Compute the value to be returned by the `get` method.
`void` | `execute()` For compatibility with old versions of SwingWorker, calls start().
`void` | `finished()` Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.
`java.lang.Object` | `get()` Return the value created by the `construct` method.
`protected java.lang.Object` | `getValue()` Get the value produced by the worker thread, or null if it hasn't been constructed yet.
`void` | `interrupt()` A new method that interrupts the worker thread.
`boolean` | `isInterrupted()`
`void` | `start()` Start the worker thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingWorker

    public SwingWorker()

  Start a thread that will call the `construct` method and then exit.

Method Detail

### getValue

    protected java.lang.Object getValue()

  Get the value produced by the worker thread, or null if it hasn't been constructed yet.

### construct

    public abstract java.lang.Object construct()

  Compute the value to be returned by the `get` method.

### finished

    public void finished()

  Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.

### interrupt

    public void interrupt()

  A new method that interrupts the worker thread. Call this method to force the worker to stop what it's doing.

### isInterrupted

    public boolean isInterrupted()

### get

    public java.lang.Object get()

  Return the value created by the `construct` method. Returns null if either the constructing thread or the current thread was interrupted before a value was produced.

  Returns:
    the value created by the `construct` method

### start

    public void start()

  Start the worker thread.

### execute

    public void execute()

  For compatibility with old versions of SwingWorker, calls start().

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details